// $Id: Connector.cc,v 1.3 2002/08/06 11:43:11 m9710797 Exp $

#include "Connector.hh"
#include "Pluggable.hh"

Connector::Connector()
{
	pluggable = NULL;
}

void Connector::plug(Pluggable *device, const EmuTime &time)
{
	device->plug(time);
	pluggable = device;
}

void Connector::unplug(const EmuTime &time)
{
	if (pluggable) pluggable->unplug(time);
	//pluggable = DUMMY_DEVICE;
}

Pluggable* Connector::getPlug()
{
	return pluggable;
}
