// $Id: MSXS1990.hh,v 1.1 2002/09/01 16:07:39 m9710797 Exp $

/*
 * This class implements the MSX-engine found in a MSX Turbo-R (S1990)
 * 
 *  TODO explanation  
 */

#ifndef __S1990_HH__
#define __S1990_HH__

#include "MSXIODevice.hh"


class MSXS1990 : public MSXIODevice
{
	public:
		MSXS1990(MSXConfig::Device *config, const EmuTime &time);
		virtual ~MSXS1990();
		
		virtual void reset(const EmuTime &time);
		virtual byte readIO(byte port, const EmuTime &time);
		virtual void writeIO(byte port, byte value, const EmuTime &time);
	
	private:
		void setCPUStatus(byte value);

		byte registerSelect;
		byte frontSwitch;
		byte cpuStatus;
};

#endif
