// $Id: Schedulable.cc,v 1.3 2002/08/03 19:23:46 m9710797 Exp $

#include "Schedulable.hh"
#include "MSXDevice.hh"


const std::string &Schedulable::schedName()
{
	static const std::string defaultName("[Schedulable, no name]");
	
	MSXDevice *dev = dynamic_cast<MSXDevice*>(this);
	if (dev) {
		return dev->getName();
	} else {
		return defaultName;
	}
}

