// $Id: KeyClick.cc,v 1.2 2002/08/16 18:36:50 m9710797 Exp $

#include "KeyClick.hh"
#include "DACSound.hh"


KeyClick::KeyClick(short volume, const EmuTime &time)
{
	dac = new DACSound(volume, time);
	status = false;
}

KeyClick::~KeyClick()
{
	delete dac;
}

void KeyClick::reset(const EmuTime &time)
{
	setClick(false, time);
}

void KeyClick::setClick(bool newStatus, const EmuTime &time)
{
	if (newStatus != status) {
		status = newStatus;
		dac->writeDAC((status ? 0xff : 0x80), time);
	}
}
