// $Id: MSXRomPatchInterface.hh,v 1.5 2002/07/06 20:04:33 m9710797 Exp $
//
// MSXRom Patch hook: an object with a method that is called
// when EDFE is encountered by the CPU, for a certain address
//

#ifndef __MSXROMPATCHINTERFACE_HH__
#define __MSXROMPATCHINTERFACE_HH__

#include "CPU.hh"


class MSXRomPatchInterface
{
	public:
		/**
		 * called by CPU on encountering an EDFE
		 */
		virtual void patch(CPU::CPURegs& regs) = 0;
};

#endif // __MSXROMPATCHINTERFACE_HH__
