// $Id: SDLEventInserter.hh,v 1.2 2002/08/16 18:36:50 m9710797 Exp $

#ifndef __SDLEVENTINSERTER_HH__
#define __SDLEVENTINSERTER_HH__

#include <SDL/SDL.h>
#include "Schedulable.hh"


class SDLEventInserter : public Schedulable
{
	public:
		SDLEventInserter(SDL_Event &event, const EmuTime &time);
		virtual void executeUntilEmuTime(const EmuTime &time, int userData);
		
	protected:
		virtual ~SDLEventInserter();

	private:
		SDL_Event event;
};

#endif
