// $Id: MSXAudio.hh,v 1.2 2002/08/16 18:36:51 m9710797 Exp $

#ifndef __MSXAUDIO_HH__
#define __MSXAUDIO_HH__

#include "MSXIODevice.hh"

// forward declaration
class Y8950;


class MSXAudio : public MSXIODevice
{
	public:
		/**
		 * Constructor
		 */
		MSXAudio(MSXConfig::Device *config, const EmuTime &time);

		/**
		 * Destructor
		 */
		virtual ~MSXAudio(); 
		
		virtual void reset(const EmuTime &time);
		virtual byte readIO(byte port, const EmuTime &time);
		virtual void writeIO(byte port, byte value, const EmuTime &time);
	
	private:
		Y8950 *y8950;
		int registerLatch;
};
#endif
