// $Id: Mutex.cc,v 1.2 2002/08/16 18:36:51 m9710797 Exp $

#include <SDL/SDL.h>
#include "Mutex.hh"


Mutex outputmutex, errormutex;

Mutex::Mutex()
{
	mutex = SDL_CreateMutex();
}

Mutex::~Mutex()
{
	SDL_DestroyMutex(mutex);
}

void Mutex::grab()
{
	SDL_mutexP(mutex);
}

void Mutex::release()
{
	SDL_mutexV(mutex);
}
